﻿/*Это стили диалогового окна, взятый у Radzen*/

.rz-dialog {
    position: absolute;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    min-width: 150px;
    max-height: 100%;
    min-height: 150px;
    z-index: var(--rz-dialog-zindex);
    opacity: 1;
    background-color: var(--rz-dialog-background-color);
    box-shadow: var(--rz-dialog-shadow);
    border-radius: var(--rz-dialog-border-radius);
}

.rz-dialog-titlebar {
    background-color: var(--rz-dialog-title-background-color);
    padding: var(--rz-dialog-title-padding);
    font-size: var(--rz-dialog-title-font-size);
    line-height: var(--rz-dialog-title-line-height);
    border-bottom: var(--rz-dialog-title-border);
}

.rz-dialog-title {
    font-weight: var(--rz-dialog-title-font-weight);
    letter-spacing: var(--rz-dialog-title-letter-spacing);
    color: var(--rz-dialog-title-color);
    user-select: none;
}

.rz-dialog-titlebar-close {
    float: right;
}

.rz-dialog-titlebar-close .rzi-times {
    font-size: var(--rz-dialog-close-font-size);
    color: var(--rz-dialog-close-color);
    vertical-align: var(--rz-dialog-close-vertical-align);
}

.rz-dialog-titlebar-close .rzi-times:before {
    content: "close";
}

.rz-dialog-titlebar-close:hover .rzi-times {
    color: var(--rz-dialog-close-hover-color);
}

.rz-dialog-content {
    flex: 0 1 auto;
    padding: var(--rz-dialog-content-padding);
    overflow: auto;
}

.rz-dialog-confirm, .rz-dialog-alert {
    max-width: 400px;
    margin: 0.75rem;
}

.rz-dialog-confirm-message, .rz-dialog-alert-message {
    margin-bottom: 1.5rem;
}

.rz-dialog-confirm-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.rz-dialog-confirm-buttons .rz-button {
    flex: 8rem 1;
    min-width: fit-content;
}

.rz-dialog-alert-buttons {
    text-align: right;
    gap: 0.5rem;
}

.rz-dialog-alert-buttons .rz-button {
    flex: 8rem 1;
    min-width: fit-content;
}

.rz-dialog-mask {
    position: fixed;
    z-index: var(--rz-dialog-mask-zindex);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: var(--rz-dialog-mask-background-color);
    opacity: 0.5;
}
